Joomladay francophone 2019 à Paris, les 8 et 9 mars 2019

Mise à jour de certains modules

Réduire
X
  • Filtrer
  • Heure
  • Afficher
Tout effacer
nouveaux messages

  • [RÉGLÉ] Mise à jour de certains modules

    Bonjour,

    J'utilise l'excellent module Scroll Feed et je constate une difficulté de mise à jour en ligne alors qu'en local cela se passe tout seul. Idem pour Simple Unite Gallery.

    Exemple pour Scroll Feed

    En local
    Scroll Feed
    Site Module 2.2.6 2.2.15 N/A Mise à jour http://www.conseilgouz.com/updates/s...eed_update.xml


    En ligne
    Mise à jour : Impossible d'ouvrir le site de mise à jour avec l'ID 28, "Scroll Feed", URL : http://www.conseilgouz.com/updates/s...eed_update.xml

    Ce n'est pas très gênant, je mets à jour manuellement par réinstallation mais j'aimerais savoir où ça coince et comment modifier l'ID si le problème est là.

    Merci de me mettre sur la voie.

    P Schlag

  • #2
    Re : Mise à jour de certains modules

    Bonjour,

    Quelle coïncidence, je suis justement en train de travailler sur ce problème.

    Pascal
    Les JoomlaDays Paris 2019, c'était du 8 au 9 mars... J'y étais et vous ?

    If anything can go wrong, it will...
    If I can help, I will ..https://conseilgouz.com

    Commentaire


    • #3
      Re : Mise à jour de certains modules

      Comme notre ami Lomart, je pense que je dois avoir des majuscules/minuscules mal gérées au niveau des noms qui, sous Linux, ne sont pas équivalents...je cherche....

      Pascal
      Les JoomlaDays Paris 2019, c'était du 8 au 9 mars... J'y étais et vous ?

      If anything can go wrong, it will...
      If I can help, I will ..https://conseilgouz.com

      Commentaire


      • #4
        Re : Mise à jour de certains modules

        Bonjour,
        J'espérais bien vous trouver là.
        J'essayais de formuler ma question depuis un moment.
        En local j'utilise Wampserver et php 7

        Pierre

        Commentaire


        • #5
          Re : Mise à jour de certains modules

          En ce qui concerne le contenu du site, il est stocké dans la base de données au format utf8 normalement, aussi bien si votre site tourne en local sous Windows que chez votre hébergeur sous Linux. Il en est de même pour les fichiers ini qui contiennent les libellés utilisés dans les différentes extension (modules, composants, plug ins).

          Par contre, en ce qui concerne le nom des fichiers, le nom d'un fichier image par exemple, les règles sous Linux et sous Windows ne sont pas les mêmes : sous Windows vous pouvez mettre n'importe quoi (je crois que Windows ne travaille pas directement avec ce nom mais avec un alias, ce qui lui permet de contourner le problème) alors que Linux / Unix est plus restrictif ; voici de mémoire les restrictions :
          - pas de blanc, pas de caractères accentués, pas de caractères spécifiques à une langue (comme le ç en français), pas de caractères spécifiques en dehors des caractères - et _

          Vous retrouvez ces limites ailleurs, par exemple quand vous saisissez l'alias d'un titre d'article ou de rubrique, le nom d'une boîte aux lettres ...

          Il vous faut donc faire attention quand vous paramètrez un module :
          - si vous saisissez un libellé qui s'affichera à l'écran, vous pouvez (normalement) faire n'importe quoi,
          - sinon, je vous invite, par mesure de prudence, à vous limiter aux 26 lettres de l'alphabet, minuscules ou majuscules, aux chiffres et à quelques caractères spéciaux comme le - et le _

          Cette réponse répond t'elle à votre question ?
          Dernière édition par didier l à 26/08/2017, 18h10
          Didier L
          Le webmaster de quelques sites associatifs développés sur Joomla !

          Commentaire


          • #6
            Re : Mise à jour de certains modules

            Merci Didier,

            Je teste,

            Pascal
            Les JoomlaDays Paris 2019, c'était du 8 au 9 mars... J'y étais et vous ?

            If anything can go wrong, it will...
            If I can help, I will ..https://conseilgouz.com

            Commentaire


            • #7
              Re : Mise à jour de certains modules

              Après quelques tests, ce n'est pas très concluant.

              La différence semble venir de la configuration au niveau mysql de utf8_general_ci(qui ne fonctionne pas) à utf8mb4_general_ci (qui fonctionne correctement).

              Au niveau des noms de fichiers et des noms des modules, tout me semble correct, donc, je continue à chercher.....

              Pascal
              Dernière édition par pmleconte à 26/08/2017, 19h30
              Les JoomlaDays Paris 2019, c'était du 8 au 9 mars... J'y étais et vous ?

              If anything can go wrong, it will...
              If I can help, I will ..https://conseilgouz.com

              Commentaire


              • #8
                Re : Mise à jour de certains modules

                Bonjour,

                Après pas mal de tests et d'aspirines, j'ai fini par trouver qu'il s'agit d'un problème de certificat ssl qui semble mal géré.

                J'ai eu le message "Erreur de connexion au serveur error:14077410:SSL routines:SSL23_GET_SERVER_HELLO:sslv3 alert handshake failure" qui, d'après ce que j'ai compris (on est à la limite de mon niveau de compétence, voire même au-dessus), il s'agit d'une incompatibilité entre votre serveur et le mien....;

                Donc, pour éviter ce problème, j'ai fait un serveur de mise à jour de secours (qui n'est pas https).

                C'est en cours, mais, pour que cela soit pris en compte, il faudra que vous rechargiez la dernière version des modules. C'est en cours et je vous préviendrai dès que c'est disponible.

                A plus tard,

                Pascal
                Les JoomlaDays Paris 2019, c'était du 8 au 9 mars... J'y étais et vous ?

                If anything can go wrong, it will...
                If I can help, I will ..https://conseilgouz.com

                Commentaire


                • #9
                  Re : Mise à jour de certains modules

                  C'est fait, j'ai mis à jour tous mes modules/plugins/extensions pour aller sur un serveur de mise à jour secondaire, si le premier ne fonctionne pas.

                  Pour que cela fonctionne, il faut aller recharger la dernière version des modules/plugins/extensions sur mon site.

                  Remarque: vous verrez toujours les erreurs de mise à jour, car, Joomla ne parvient pas à se connecter au serveur primaire, mais, vous verrez maintenant les mises à jour à partir du serveur secondaire.

                  Question: êtes-vous chez OVH ?

                  Le problème vient d'une incompatibilité entre la version opensll qui est actuellement en version 0.9.8 sur certains serveurs alors qu'elle est en 1.0.1t sur d'autres.

                  Vous pouvez le voir en allant dans Système/Informations système et onglet "informations PHP" et si vous cherchez "SSL version" sur cette page, vous aurez la réponse.

                  Pascal
                  Les JoomlaDays Paris 2019, c'était du 8 au 9 mars... J'y étais et vous ?

                  If anything can go wrong, it will...
                  If I can help, I will ..https://conseilgouz.com

                  Commentaire


                  • #10
                    Re : Mise à jour de certains modules

                    Bonjour,

                    Oui, je suis bien chez OVH.

                    Merci pour ces deux versions de Simple Unite Galery 1.2.14 et Scroll Feed 2.2.18 trouvées et installées manuellement chez OVH et automatiquement en local.
                    Je suppose que je verrai le serveur secondaire à l'occasion de la prochaine mise à jour. Pour l'instant, j'ai deux messages d'erreur pour chaque module. Seule l'ID est nouvelle.

                    En ce qui me concerne, j'ai la réponse à ma question. Je sais que vous êtes toujours disponible et vous en remercie. Mais dois-je déjà clore cette discussion en la marquant comme réglée ?

                    Pierre

                    Commentaire


                    • #11
                      Re : Mise à jour de certains modules

                      Pierre,

                      Le problème vient d'OVH et j'ai mis un serveur secondaire pour pallier à ce problème. Je suis d'ailleurs surpris que vous soyez le premier à le soulever, bien que je l'ai remarqué mis août sur une de mes installation.

                      Si le serveur primaire ne fonctionne pas (ce qui sera le cas tant que vous resterez en apach 2.2), vous obtiendrez désormais la mise à jour par le second serveur. Comme signalé, le message d'erreur du serveur primaire sera toujours là, mais, vous obtiendrez quand même les mises à jour alors que, jusqu'à présent, vous ne les avez pas vues passer.

                      Vous pouvez clôturer cette discussion et la marquer "résolu".

                      Bonne continuation,

                      Pascal
                      Les JoomlaDays Paris 2019, c'était du 8 au 9 mars... J'y étais et vous ?

                      If anything can go wrong, it will...
                      If I can help, I will ..https://conseilgouz.com

                      Commentaire

                      Annonce

                      Réduire
                      1 sur 2 < >

                      C'est [Réglé] et on n'en parle plus ?

                      A quoi ça sert ?
                      La mention [Réglé] permet aux visiteurs d'identifier rapidement les messages qui ont trouvé une solution.

                      Merci donc d'utiliser cette fonctionnalité afin de faciliter la navigation et la recherche d'informations de tous sur le forum.

                      Si vous deviez oublier de porter cette mention, nous nous permettrons de le faire à votre place... mais seulement une fois
                      Comment ajouter la mention [Réglé] à votre discussion ?
                      1 - Aller sur votre discussion et éditer votre premier message :


                      2 - Cliquer sur la liste déroulante Préfixe.

                      3 - Choisir le préfixe [Réglé].


                      4 - Et voilà… votre discussion est désormais identifiée comme réglée.

                      2 sur 2 < >

                      Assistance au forum - Outil de publication d'infos de votre site

                      Compatibilité: PHP 4.1,PHP4, 5, 6DEV MySQL 3.2 - 5.5 MySQLi from 4.1 ( @ >=PHP 4.4.9)

                      Support Version de Joomla! : | J!3.0 | J!2.5.xx | J!1.7.xx | J!1.6.xx | J1.5.xx | J!1.0.xx |

                      Version française (FR) D'autres versions sont disponibles depuis la version originale de FPA

                      UTILISER À VOS PROPRES RISQUES :
                      L'exactitude et l'exhaustivité de ce script ainsi que la documentation ne sont pas garanties et aucune responsabilité ne sera acceptée pour tout dommage, questions ou confusion provoquée par l'utilisation de ce script.

                      Problèmes connus :
                      FPA n'est actuellement pas compatible avec des sites Joomla qui ont eu leur fichier configuration.php déplacé en dehors du répertoire public_html.

                      Installation :

                      1. Téléchargez l'archive souhaitée : http://afuj.github.io/FPA/

                      Archive zip : https://github.com/AFUJ/FPA/zipball/master

                      2. Décompressez le fichier de package téléchargé sur votre propre ordinateur (à l'aide de WinZip ou d'un outil de décompression natif).

                      3. Lisez le fichier LISEZMOI inclus pour toutes les notes de versions spécifiques.

                      4. LIRE le fichier de documentation inclus pour obtenir des instructions d'utilisation détaillées.

                      5. Téléchargez le script fpa-fr.php à la racine de votre site Joomla!. C'est l'endroit que vous avez installé Joomla et ce n'est pas la racine principale de votre serveur. Voir les exemples ci-dessous.

                      6. Exécutez le script via votre navigateur en tapant: http:// www. votresite .com/ fpa-fr.php
                      et remplacer www. votresite .com par votre nom de domaine


                      Exemples:
                      Joomla! est installé dans votre répertoire web et vous avez installé la version française du fichier FPA:
                      Télécharger le script fpa-fr.php dans: /public_html/
                      Pour executer le script: http://www..com/fpa-fr.php

                      Joomla! est installé dans un sous-répertoire nommé "cms" et vous avez installé la version française du fichier FPA:
                      Télécharger le script fpa-fr.php dans: /public_html/cms/
                      Pour executer le script: http://www..com/cms/fpa-fr.php

                      En raison de la nature très sensible de l'information affichée par le script FPA, il doit être retiré immédiatement du serveur après son utilisation.

                      Pour supprimer le script de votre site, utilisez le lien de script de suppression fourni en haut de la page du script. Si le lien de suppression échoue pour supprimer le script, utilisez votre programme FTP pour le supprimer manuellement ou changer le nom une fois que le script a généré les données du site et le message publié sur le forum. Si le script est toujours présent sur le site, il peut être utilisé pour recueillir suffisamment d'informations pour pirater votre site. Le retrait du script empêche des étrangers de l'utiliser pour jeter un oeil à la façon dont votre site est structuré et de détecter les défauts qui peuvent être utilisé à vos dépends.
                      Voir plus
                      Voir moins

                      Partenaire de l'association

                      Réduire

                      Hébergeur Web PlanetHoster
                      Travaille ...
                      X